Package org.apache.sling.servlets.get.impl.helpers

# Class PlainTextRenderer

java.lang.Object
org.apache.sling.servlets.get.impl.helpers.PlainTextRenderer

All Implemented Interfaces:
  `Renderer`

public class PlainTextRenderer extends Object implements Renderer
The `PlainTextRendererServlet` renders the current resource in plain text on behalf of the `DefaultGetServlet`.

## Constructor Summary

Constructors
Constructor
Description
`PlainTextRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`dump(PrintWriter pw, org.apache.sling.api.resource.Resource r, Map<String,Object> map)`
Dumps the information about the provided resource to a `PrintWriter`.
`protected void`
`printPropertyValue(PrintWriter pw, String name, Object value, boolean includeName)`
`void`
`render(org.apache.sling.api.SlingJakartaHttpServletRequest req, org.apache.sling.api.SlingJakartaHttpServletResponse resp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlainTextRenderer

public PlainTextRenderer()

## Method Details

### render

public void render(org.apache.sling.api.SlingJakartaHttpServletRequest req, org.apache.sling.api.SlingJakartaHttpServletResponse resp) throws IOException

Specified by:
  `render` in interface `Renderer`
Throws:
  `IOException`

### dump

protected void dump(PrintWriter pw, org.apache.sling.api.resource.Resource r, Map<String,Object> map)
Dumps the information about the provided resource to a `PrintWriter`.

Parameters:
  `pw` - the PrintWriter
  `r` - the resource
  `map` - the resource's properties

### printPropertyValue

protected void printPropertyValue(PrintWriter pw, String name, Object value, boolean includeName)